package com.smppw.utils;

import com.smppw.common.pojo.enums.strategy.SysStrategy;

public class StrategyUtil {


    public static SysStrategy getStrategyByPpwStrategyId(String subStrategyId, Integer thirdStrategyId) {

        if (thirdStrategyId != null) {
            SysStrategy sysStrategy = SysStrategy.getSysStrategy(thirdStrategyId);
            if (sysStrategy != null && sysStrategy != SysStrategy.OtherStrategy) {
                return sysStrategy;
            }
        }

        SysStrategy sysStrategy = SysStrategy.getSysStrategy(thirdStrategyId);
        return sysStrategy;
    }
}
